summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2019-05-17 22:06:42 +0200
committerAndreas K. Hüttel <dilfridge@gentoo.org>2019-05-17 22:08:51 +0200
commitb365fa29c7d78fd97dfc855649afa0e203fe3b5a (patch)
tree915e2908e3c10f90df93827431b43ec98bde0f8c
parentvirtual/perl-threads-shared: add perl-5.30 version (diff)
downloadgentoo-b365fa29c7d78fd97dfc855649afa0e203fe3b5a.tar.gz
gentoo-b365fa29c7d78fd97dfc855649afa0e203fe3b5a.tar.bz2
gentoo-b365fa29c7d78fd97dfc855649afa0e203fe3b5a.zip
virtual/perl-version: add perl-5.30 version
Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
-rw-r--r--virtual/perl-version/perl-version-0.992.400.ebuild15
1 files changed, 15 insertions, 0 deletions
diff --git a/virtual/perl-version/perl-version-0.992.400.ebuild b/virtual/perl-version/perl-version-0.992.400.ebuild
new file mode 100644
index 00000000000..601e9cf1fdd
--- /dev/null
+++ b/virtual/perl-version/perl-version-0.992.400.ebuild
@@ -0,0 +1,15 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Virtual for ${PN#perl-}"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ || ( =dev-lang/perl-5.30* ~perl-core/${PN#perl-}-${PV} )
+ dev-lang/perl:=
+ !<perl-core/${PN#perl-}-${PV}
+ !>perl-core/${PN#perl-}-${PV}-r999
+"